<div id="map" style="height:100%"></div>


<link rel="stylesheet" href="<?= $this->basepath('vendor/leaflet/dist/leaflet.css') ?>">
<style type="text/css">
    body {
        margin: 0;
    }
</style>
<script type="text/javascript" src="<?= $this->basepath('vendor/leaflet/dist/leaflet.js') ?>"></script>
<script>
    var features = <?php echo json_encode($this->json); ?>;

    var map    = L.map('map', {
        zoomControl: false
    });

    L.tileLayer('//{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
        attribution: '&copy; <a href="http://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors',
    }).addTo(map);

    var layers = [];
    for (var i in features) {
        var feature = features[i];
        layers.push(L.geoJson(feature, {
            fillColor: '#ff2424',
            color: '#ff2424',
            weight: 2,
            fillOpacity: 0.5
        }));
    }

    if (layers.length > 0) {
        var featureGroup = new L.featureGroup(layers).addTo(map);
        map.fitBounds(featureGroup.getBounds());
    }

</script>